Subject: [Geopriv] IETF 85 Minutes

From: Alissa Cooper <[email-masked]>
Date: Tue, 13 Nov 2012 07:40:13 -0500

Minutes - GEOPRIV - IETF 85

Summary

1. WGLC for draft-geopriv-flow-identity

WGLC completed with several expressions of support from the room.  

2. draft-jones-geopriv-sigpos-survey

Continued interest in this draft from the room. Kipp will rev before we issue call for adoption.

3. self-published-geo

Development of yet-to-be-published draft <https://github.com/ekline/draft-self-published-geo/blob/master/draft.txt> will continue, alignment with geopriv formats possible. 

Raw Notes from Roger Marshall
-----------------------------

Geopriv Notes

Chairs: Alissa Cooper, Richard Barnes

Wed, 14:40-15:40

Notewell Covered

Agenda Bashed

Document Status

(Alissa) geopriv-flow-identity – need at least one more person to say that it should go to WGLC

Kip Jones: concur that it is ready to go

Brian Rosen: also have read, concur it’s ready for WGLC

Alissa: Ok, thanks.

--Presentations:

-- draft-jones-geopriv-sigpos-survey

Kip Jones presented

Henning Schulzrinne: 2 kinds of signal info – Access Points & Metrics, e.g., Android phone measures – are you talking about both?

Kip: yes, both. More general case is the survey – more focused on a professional survey, not so much for the crowd-sourced model.

Henning: One of the big concerns was how do you trace the information back.

Kip: more explanation scenario

Henning: Metadata - Want to be sure that data is properly attributed, also want to know that the data is properly represented, on a known schedule, update frequency, expiration of the data, notion of trust of data vs. “use extreme caution”.

Martin Thomson: question the validity of data – “expiration” may be the thing you don’t want.

Henning: need a way to characterize – need to know what “expiration” means.  AP may/may not be where it was 3 years ago.

Martin: reason why expiration is important to define

Bernard Aboba: Rights to the data covered?

Martin: Licensing gets interesting, essentially talking about copyright.

Kip: Licensing is an important piece,  but also a fuzzy area currently.  Metadata is important and will need to be looked at.

Kip:

Henning: well imagine that Universities may not have objection to Creative Commons, but want to be attributed.

Kip: Looking at Geo DRM – pretty heavy right now, may not need to be as heavy – need to look at it.

Alissa: Not just licenses, right?

Kip: Looks at enforcement – not a requirement now, but points to the ability to do this kind of stuff.

Kip: Derivative rights, thoughts about location data being unencumbered.

Martin: There is a thought of the location being restricted to rights. Impacts to the Rulemaker.

Kip: Access control part of this – idea that the location may be unencumbered is the user has authorization to get it.

Kip: Happy to get comments.

Henning: You may want to look at Open Data Commons Attribute licence

Kip: Yes, did take a look, will need to look at it further.

Kip: Went over changes in version -01

Kip: Known Issues (slide)

Kip: Additional issues (from Brian Hart), includes:

Definition of a LIS still needs some work

“_nomap” for AP privacy – don’t know how you would put this into the document

Henning: questions on this

Richard: This is something – a consideration that would go into the privacy section.

Kip: Also, to Henning’s point, not sure where the ownership belongs

James: Suggest a fairly lean privacy section, and then maybe use a separate document to go deeper.

Richard: I don’t think we’re going to list all the privacy laws in this document.

Henning: I see this as more of, “we are aware that these things exist”, etc. do your due diligence.  Even in post cleanup – if you knew of it at the time, you shouldn’t have gathered it, and marking it isn’t going to do anything to help.

Kip: binary version

Brian: Please don’t do that.

Martin: we have this gzip – and it produces binary really well.

Kip: Okay.  Now with Brad engaged, I’ve got a cohort to work through these issues. And the licensing issues need worked through.

Alissa: Are there other non-IETF folks out there that are willing to help?

Kip: Yeah, I think we can engage more – but a chicken and egg thing.

Richard: It’d be good to get some of the companies doing this surveying

Henning: Yeah, Kip’s company is one of those

Henning: It seems at least two options, one: punt, we’ve got tools for, go at it – you don’t want to ship data files every night, or two: publish/subscribe model

Kip: How do you propagate this document to all the interested parties.

Henning: Seems like a much harder generic problem – probably have business’ that are data aggregators – seems like well beyond the scope of this…

Henning: Speaking from Public Safety model, down the road – far-fetched at the moment, the Fire Marshal, next to checking fire suppression, could be checking floor plan data, etc. – like I said, far-fetched for now.

Richard: Seems to be some interest in the room.

--next Presentation

Self-published-geo

Eric Klein presenter (not a regular geopriv follower, usually do IPv6)

IP-Geo – people have different views, but at Google people get really pissed if it routes the user incorrectly.

Eric: example scenarios given

Examples: https://registration.icann.org/geo/goole.csv

199.91.192.0/21,US,US-CA,Los Angeles,

2620:f:8000::/48,US,US-CA,Los Angeles,

Martin Thomson: Thank you – explains just how _unsuccessful_ this work group has been!

Eric: This is for special use.

Martin: When I travel I send a header that specifies EN, English – and get local context based on IP-Geo

Eric: May be useful if there are local data constraints

Martin: A lot of sites

Richard: This is one input, a channel to push published geolocation.  In terms of geopriv context, when compared to geopriv’s data elements, aligns quite well.

Richard: how do you find the URIs?

Eric: 3 of them, Ad-hoc, Various “$-sign” databases (e.g., Whois), Reverse DNS, etc.

Richard: which mechanism is recommended for a user?

Eric:

Henning: Distributed databases mentioned, privacy mentioned, DSLAM level information, restricted for Public Safety use only, and we want to figure out how we provision the data. Also, rights, sources, metadata – across the board issues, also, who wants the data – may be good to bring efforts together, rather than treat as two separate universes.

Andrew: Surprisingly good to located – at least in the UK example.

Eric: Depends on the region

Alissa: Thanks for presenting

(End of Meeting) 15:40